# Record Class StConfiguration.Database

java.lang.Object
java.lang.Record
com.io7m.stonesignal.server.StConfiguration.Database

Enclosing class:
  `StConfiguration`

public static record StConfiguration.Database(StConfiguration.DatabaseKind kind, String ownerRoleName, String ownerRolePassword, String workerRolePassword, String readerRolePassword, String deviceRolePassword, String address, int port, String databaseName, boolean upgrade) extends Record

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Database(StConfiguration.DatabaseKind kind, String ownerRoleName, String ownerRolePassword, String workerRolePassword, String readerRolePassword, String deviceRolePassword, String address, int port, String databaseName, boolean upgrade)`
  Creates an instance of a `Database` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `address()`
  Returns the value of the `address` record component.
  `String`
  `databaseName()`
  Returns the value of the `databaseName` record component.
  `String`
  `deviceRolePassword()`
  Returns the value of the `deviceRolePassword` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `StConfiguration.DatabaseKind`
  `kind()`
  Returns the value of the `kind` record component.
  `String`
  `ownerRoleName()`
  Returns the value of the `ownerRoleName` record component.
  `String`
  `ownerRolePassword()`
  Returns the value of the `ownerRolePassword` record component.
  `int`
  `port()`
  Returns the value of the `port` record component.
  `String`
  `readerRolePassword()`
  Returns the value of the `readerRolePassword` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `boolean`
  `upgrade()`
  Returns the value of the `upgrade` record component.
  `String`
  `workerRolePassword()`
  Returns the value of the `workerRolePassword` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Database

    public Database(@JsonPropertyDescription("The database kind.") StConfiguration.DatabaseKind kind, @JsonPropertyDescription("The database owner role.") String ownerRoleName, @JsonPropertyDescription("The database owner role password.") String ownerRolePassword, @JsonPropertyDescription("The database worker role password.") String workerRolePassword, @JsonPropertyDescription("The database reader role password.") String readerRolePassword, @JsonPropertyDescription("The database device role password.") String deviceRolePassword, @JsonPropertyDescription("The database address.") String address, @JsonPropertyDescription("The database port.") int port, @JsonPropertyDescription("The database name.") String databaseName, @JsonPropertyDescription("Upgrade the database?") boolean upgrade)
    Creates an instance of a `Database` record class.
    Parameters:
      `kind` - the value for the `kind` record component
      `ownerRoleName` - the value for the `ownerRoleName` record component
      `ownerRolePassword` - the value for the `ownerRolePassword` record component
      `workerRolePassword` - the value for the `workerRolePassword` record component
      `readerRolePassword` - the value for the `readerRolePassword` record component
      `deviceRolePassword` - the value for the `deviceRolePassword` record component
      `address` - the value for the `address` record component
      `port` - the value for the `port` record component
      `databaseName` - the value for the `databaseName` record component
      `upgrade` - the value for the `upgrade` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with the `compare` method from their corresponding wrapper classes.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### kind

    @JsonPropertyDescription("The database kind.") public StConfiguration.DatabaseKind kind()
    Returns the value of the `kind` record component.
    Returns:
      the value of the `kind` record component

  - ### ownerRoleName

    @JsonPropertyDescription("The database owner role.") public String ownerRoleName()
    Returns the value of the `ownerRoleName` record component.
    Returns:
      the value of the `ownerRoleName` record component

  - ### ownerRolePassword

    @JsonPropertyDescription("The database owner role password.") public String ownerRolePassword()
    Returns the value of the `ownerRolePassword` record component.
    Returns:
      the value of the `ownerRolePassword` record component

  - ### workerRolePassword

    @JsonPropertyDescription("The database worker role password.") public String workerRolePassword()
    Returns the value of the `workerRolePassword` record component.
    Returns:
      the value of the `workerRolePassword` record component

  - ### readerRolePassword

    @JsonPropertyDescription("The database reader role password.") public String readerRolePassword()
    Returns the value of the `readerRolePassword` record component.
    Returns:
      the value of the `readerRolePassword` record component

  - ### deviceRolePassword

    @JsonPropertyDescription("The database device role password.") public String deviceRolePassword()
    Returns the value of the `deviceRolePassword` record component.
    Returns:
      the value of the `deviceRolePassword` record component

  - ### address

    @JsonPropertyDescription("The database address.") public String address()
    Returns the value of the `address` record component.
    Returns:
      the value of the `address` record component

  - ### port

    @JsonPropertyDescription("The database port.") public int port()
    Returns the value of the `port` record component.
    Returns:
      the value of the `port` record component

  - ### databaseName

    @JsonPropertyDescription("The database name.") public String databaseName()
    Returns the value of the `databaseName` record component.
    Returns:
      the value of the `databaseName` record component

  - ### upgrade

    @JsonPropertyDescription("Upgrade the database?") public boolean upgrade()
    Returns the value of the `upgrade` record component.
    Returns:
      the value of the `upgrade` record component